Debian Bug report logs - #693730
dpkg-cross: Add arm64 support

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Wookey <wookey@wookware.org>

Date: Mon, 19 Nov 2012 19:21:02 UTC

Severity: normal

Tags: patch

Found in version dpkg-cross/2.6.7

Fixed in version dpkg-cross/2.6.8

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#693730; Package dpkg-cross. (Mon, 19 Nov 2012 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Mon, 19 Nov 2012 19:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: Add arm64 support
Date: Mon, 19 Nov 2012 19:18:58 +0000
[Message part 1 (text/plain, inline)]
Package: dpkg-cross
Version: 2.6.7
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org

This patch adds arm64 support to dpkg-cross. It also adds some new
packages and moves a few core variables to be global as they appear in
a lof of entries. 

I realise this is a bit of a mish-mash, but it represents the current
state of the package as I have been updating it working through the
arm64 port. And it's better to be filed in a bugrep than sat on my disk.

Not all of this is thoroughly tested but it's cetainly better than
without. I believe the whole package is in need of some updating in
the various architectures for consistency, and globalising some more
'core things'. But of course this is very hard to do unless one has
an easy way of testing the results on many architectures.

If you accept the idea that _some_ variables could be declared
globally then I suggest we cautiously do that for things we are pretty
sure are the same everywhere and will not break other package builds.
It can always be reverted if problems are found later.

More automated cross-build infrastructure will help weed out such
issues. 

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[dpkg-cross-2.6.7-arm64.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#693730; Package dpkg-cross. (Tue, 20 Nov 2012 10:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Embedded Debian <debian-embedded@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 20 Nov 2012 10:42:16 GMT) Full text and rfc822 format available.

Message #10 received at 693730@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Embedded Debian <debian-embedded@lists.debian.org>
Cc: 693730@bugs.debian.org
Subject: Re: Bug#693730: dpkg-cross: Add arm64 support
Date: Tue, 20 Nov 2012 10:26:27 +0000
[Message part 1 (text/plain, inline)]
On Mon, 19 Nov 2012 19:18:58 +0000
Wookey <wookey@wookware.org> wrote:

> Package: dpkg-cross
> Version: 2.6.7
> Severity: normal
> 
> This patch adds arm64 support to dpkg-cross. It also adds some new
> packages and moves a few core variables to be global as they appear in
> a lof of entries. 

Migrating a few variables is fine, I wasn't sure if you were proposing
moving the majority / all variables before I was able to see the
patch. :-)

One day, we'll finally get to drop CORBA too. Seems anachronistic
somehow to be building arm64 CORBA.

> I realise this is a bit of a mish-mash, but it represents the current
> state of the package as I have been updating it working through the
> arm64 port. And it's better to be filed in a bugrep than sat on my disk.

Agreed.

arm64 support is definitely good to have but I'm not certain if this
needs to go into unstable during the freeze - I'm thinking experimental
for now. That should at least make it possible to get some arm64
packages cross-built and then -cross'd.

> Not all of this is thoroughly tested but it's cetainly better than
> without. I believe the whole package is in need of some updating in
> the various architectures for consistency, and globalising some more
> 'core things'. But of course this is very hard to do unless one has
> an easy way of testing the results on many architectures.

The original data mostly came from ARMv4 for Emdebian Crush, so testing
on multiple architectures is a new thing but well worth doing. (If that
is only armel + armhf then it's probably not going to show anything.)

Architectures like hppa which don't include the cross-config.cache file
currently could be considered for removal, along with alpha, arm (v4),
armeb, m68k, sh3, sh3eb, sh4, sh4eb or some permutation of those.

> If you accept the idea that _some_ variables could be declared
> globally then I suggest we cautiously do that for things we are pretty
> sure are the same everywhere and will not break other package builds.
> It can always be reverted if problems are found later.
> 
> More automated cross-build infrastructure will help weed out such
> issues. 

That would be very nice to have...

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#693730; Package dpkg-cross. (Tue, 20 Nov 2012 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 20 Nov 2012 16:54:03 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#693730: dpkg-cross: Add arm64 support
Date: Tue, 20 Nov 2012 16:51:45 +0000
[Message part 1 (text/plain, inline)]
+++ Wookey [2012-11-19 19:18 +0000]:
> Package: dpkg-cross
> Version: 2.6.7
> Severity: normal
> Tags: patch
> User: debian-arm@lists.debian.org
> 
> This patch adds arm64 support to dpkg-cross. 

Oops - I had the size of long-double wrong. That breaks libffi building.

Fix attached.


Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[dpkg-cross-2.6.7-arm64-2.patch (text/x-diff, attachment)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 24 Nov 2012 22:06:04 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sat, 24 Nov 2012 22:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 693730-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 693730-close@bugs.debian.org
Subject: Bug#693730: fixed in dpkg-cross 2.6.8
Date: Sat, 24 Nov 2012 22:03:03 +0000
Source: dpkg-cross
Source-Version: 2.6.8

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693730@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 24 Nov 2012 21:10:05 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.8
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 693730
Changes: 
 dpkg-cross (2.6.8) experimental; urgency=low
 .
   * Add arm64 support, thanks to patch from Wookey, also
     adds more packages to the cross-config.cache and
     generalise some more common values. (Closes: #693730)
   * Target experimental.
   * Fix use of qw in list context for perl 5.14
Checksums-Sha1: 
 deb5528df61a004fdc56f978f3ce9c62b8e6e381 1942 dpkg-cross_2.6.8.dsc
 88ff76b0ccaf7022f8658f8218830e16c2b67187 76496 dpkg-cross_2.6.8.tar.gz
 89f82903114410d0cc89d065a794511cbef3090b 54540 dpkg-cross_2.6.8_all.deb
 7adb6cc2b62d756b9f240e4a186b41b20e225055 29372 libdebian-dpkgcross-perl_2.6.8_all.deb
Checksums-Sha256: 
 0d0a9b1f8804a16beaaa25985fab412dd20ede0bdfa0a17b8dc29bae89aa123e 1942 dpkg-cross_2.6.8.dsc
 7ba14dd5f9476e7afd389b5f4bc9bd666cc1ad1f3a22b65de05223446a4e4ed7 76496 dpkg-cross_2.6.8.tar.gz
 4cd8288dce0e01d4ce2be7df9a7768636172a703922d9cca8d2fe9af7741bf62 54540 dpkg-cross_2.6.8_all.deb
 a21432eaeca048a5cb48669a51150dc3454d35d8fdb4551f4b646d97e4fd0e40 29372 libdebian-dpkgcross-perl_2.6.8_all.deb
Files: 
 81582065944c2b61471b5b367f0743de 1942 utils extra dpkg-cross_2.6.8.dsc
 a08c559e6123d430cdc4814943c00f1a 76496 utils extra dpkg-cross_2.6.8.tar.gz
 bf4b08dd31a276e0fe23ed9603920b61 54540 utils extra dpkg-cross_2.6.8_all.deb
 40386bea24814dda421980f25e78ca7a 29372 perl extra libdebian-dpkgcross-perl_2.6.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQsT/aAAoJEPFn5DyBQ7aC+yIP/3O6yOnCXlAzU7owvjTBTNc3
9xwyKv+1jr82KjBRJyVS2aNV3OLc2vok2P/BLE5pXjHH+WXvuw70ob7oJG+U3Utj
q5rxfVepwVEe6WzMDvORDwirS0fpLckWLtsghFEdHBaI/+D0SaaBkwdPjzw5zgP0
0qPTtJmrZ3MxdvSFjqP6vlAB/VmDH+BNoCjvgpm6AHt8oHzMqLveCK5D/airmeYZ
UucUCCoLaNvAVb6P7/z3ezen4CIEE2tzBMIQIv9usGj2YMQfctBHg3tWo9urb1mS
lx9x7KI/9zZGloDowX8u+hEHqm7uNXFG+VcX9CRFjQRhKjto3aj9G+r66LzfbJHY
07gktUxrgJUAzAre37pQcuN5yZTCSeyK/37zRtcAuqcZsGUDvBAJPP0tuJRCIIL6
T5YaEw1auKQyQsTomw7e7I5o+5Wu4kF2r/IAjqRTyJDp1iuGVib/Ty2oio87ca2x
EqwNqqh2tPp6DxrsbQw24VZc7bDYQfhgPAmq1Dd2QyQKIgB+hOAV3TGFG1dV1opA
HG3SJbNyo1+g5Y3D7EGU7uQRq7nwAmDje72Lgm8DU/PlgjWfXBGH2jrAuBhsrmvK
ogCckstNQDOu0FnNX7wnnnkxI/tijL97H+VXxMatPk5szJqpiOPpzUNYrceintGG
mRhEDA2i9jlEx0fA5DgS
=S2TA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Jul 2013 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:04:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.